// Zounds.V by Heinz Schuller  - Copyright 1992 Heinz W. Schuller
//                             *
// Large spaceship from 2001 orbits cloud covered planet
//------1---------2---------3---------4---------5---------6---------7---------8

#version 3.8;

global_settings {
    assumed_gamma 2.2
    ambient_light rgb 0.2
}

#include "colors.inc"
#include "textures.inc"

// studio description
camera {
	location <-40, -36, 6>
	look_at x*-14
	up z
	sky z
	angle 65
	right x*4/3
}

background { color Gray10 } 

// light sources
light_source { <0, -20, 100> color White }

// define ship's surface
union {
    // ship parts
    #include "framclud.inc"            // ship's frame building block
    #include "frambar.inc"             // long bars connecting blocks
    //#include "radar.inc"               // radar thingy
    #include "tanks.inc"               // fuel tanks, rockets
    #include "cockpit.inc"             // front sphere on ship
    pigment { color Gray80 }
    finish { Shiny }
}

// caps on sphere
union {
    #include "cockp2.inc"
    pigment { color Gray55 }
    finish { Shiny }
}

// blue lights on ship
union {
    #include "blink.inc"
    pigment { color SkyBlue*5 }
	finish { diffuse 1 }
}

// window
object {
    #include "window2.inc"
    pigment { color Black }
    finish { Shiny }
}


// planet sphere
sphere { <30, 200, -80>, 160
    texture {
	    pigment { color NeonPink*1.5 }
	    finish {
		    diffuse 0.2
		    irid { 0.25 thickness 4/4 turbulence 0.1 }
	    }
	    scale 20
	    //rotate <145, 245, 5>
    	translate <10, 25, 0>

	}
}

// cloud layer
sphere { <30, 200, -80>, 162
	texture {
		pigment {
			bozo
			turbulence 1
			color_map {
				[0.0 0.4 color Clear color Clear ]
				[0.4 0.9 color Clear color Gray30 ]
				[0.9 1.0 color Gray30 color Gray20 ]
			}
		}
		scale 24//<24, 6, 24>
	}
}

// small hawk spaceships whizzing around
// hawkclud.vo contains hawk components 1 - 7 w/ surface defs
object {
    #include "hawkclud.inc"
    rotate y*-20
    translate <8, 2, 10>
}
object {
    #include "hawkclud.inc"
    rotate y*-10
    translate <12, 6, 14>
}
object {
    #include "hawkclud.inc"
    rotate <0, 20, 225>
    translate z*-10
}
object {
    #include "hawkclud.inc"
    rotate <10, 15, 225>
    translate <-5, -5, -15>
}
//------1---------2---------3---------4---------5---------6---------7---------8
