// Zounds.V by Heinz Schuller  - Copyright 1992 Heinz W. Schuller
//                             *
// Large spaceship from 2001 orbits cloud covered planet
//------1---------2---------3---------4---------5---------6---------7---------8

#include "color.vc"

// studio description

studio {
	from -40 -36 6
	at -14 0 0
	up 0 0 1
	angle 65
    resolution 1920 1440
	antialias adaptive
	aspect 4/3
	ambient gray20
}

// light sources

light { type point position 0 -20 100 color white falloff 0
}

// define ship's surface

surface {
	diffuse gray60
	shine 40 white
}

// ship parts

#include "framclud.vo"            // ship's frame building block
#include "frambar.vo"             // long bars connecting blocks
//#include "radar.vo"               // radar thingy
#include "tanks.vo"               // fuel tanks, rockets
#include "cockpit.vo"             // front sphere on ship

// caps on sphere

surface {
	diff gray45
	shine 40 white
}
#include "cockp2.vo"

// blue lights on ship

surface {
	diffuse sky_blue
	ambient sky_blue
}
#include "blink.vo"

// window

surface {
	diffuse black
	specular gray20
}
#include "window2.vo"


// planet sphere

surface {
	texture {
		pattern noise
		terms 5
		scale 7 7 7
		surface { diffuse 0.688 0.013 0.313 shine 100 }
		surface { diffuse gray20 }
	}
}
sphere { center 30 200 -80 radius 160 }

// cloud layer

surface {
	texture {
		pattern noise
		terms 2
		blend 0.5
		scale 9 9 9
		surface { diffuse white transparent gray60 }
		surface { diffuse black transparent white }
	}
}
sphere { center 30 200 -80 radius 162 }

// small hawk spaceships whizzing around
// hawkclud.vo contains hawk components 1 - 7 w/ surface defs

transform { rotate 0 -20 0 translate 8  2 10 }
#include "hawkclud.vo"
transform_pop

transform { rotate 0 -10 0 translate 12 6 14 }
#include "hawkclud.vo"
transform_pop

transform { rotate 0 20 225 translate 0 0 -10 }
#include "hawkclud.vo"
transform_pop

transform { rotate 10 15 225 translate -5 -5 -15 }
#include "hawkclud.vo"
transform_pop

//------1---------2---------3---------4---------5---------6---------7---------8

